Get a list of medication requests
get
/MedicationRequest
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of medication requests that meet the supplied query parameters.
Request
Query Parameters
-
-timing-boundsPeriod: string
The date and time that should fall within
MedicationRequest.dosageInstruction.timing.repeat.boundsPeriodwhen the medication should be given to the patient. The value must use the ge prefix. -
_count: string
The maximum number of results per page.
-
_id: string
The logical resource ID.
-
_include: string
The inclusion of referenced resources.
-
_lastUpdated: string
The last updated date used to filter results.
-
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
intent: string
The medication request intent used to filter results.
-
patient: string
The reference to a patient associated with the medication request.
-
status: string
The medication request status used to filter results.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : BundleEntryForMedicationRequest
Type:
Show Source
object-
fullUrl: string
-
resource: object
MedicationRequest
The FHIR R4 MedicationRequest resource.
-
search: object
BundleEntrySearch
Nested Schema : MedicationRequest
Type:
objectThe FHIR R4 MedicationRequest resource.
Show Source
-
authoredOn: string
(date-time)
-
category: array
category
-
courseOfTherapyType: object
CodeableConcept
-
dispenseRequest: object
DispenseRequestForMedicationRequest
The FHIR medication request dispense request.
-
dosageInstruction: array
dosageInstruction
-
encounter: object
ReferenceForMedicationRequest
The FHIR reference.
-
extension: array
extension
-
id(required): string
-
intent: string
-
medicationReference: object
ReferenceForMedicationRequest
The FHIR reference.
-
meta: object
meta
The FHIR meta.
-
note: array
note
-
priority: string
-
priorPrescription: object
ReferenceForMedicationRequest
The FHIR reference.
-
reasonCode: array
reasonCode
-
reportedBoolean: boolean
-
requester: object
ReferenceForMedicationRequest
The FHIR reference.
-
resourceType(required): string
Allowed Values:
[ "MedicationRequest" ] -
status: string
-
statusReason: object
CodeableConcept
-
subject: object
ReferenceForMedicationRequest
The FHIR reference.
-
substitution: object
SubstitutionForMedicationRequest
The FHIR medication request substitution.
-
text: object
Narrative
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : DispenseRequestForMedicationRequest
Type:
objectThe FHIR medication request dispense request.
Show Source
-
numberOfRepeatsAllowed: integer
-
performer: object
ReferenceForMedicationRequest
The FHIR reference.
-
quantity: object
Quantity
-
validityPeriod: object
PeriodForMedicationRequest
The FHIR period.
Nested Schema : dosageInstruction
Type:
Show Source
array-
Array of:
object DosageForMedicationRequest
The FHIR dosage.
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForMedicationRequest
The FHIR extension.
Nested Schema : note
Type:
Show Source
array-
Array of:
object AnnotationForMedicationRequest
The FHIR annotation.
Nested Schema : SubstitutionForMedicationRequest
Type:
objectThe FHIR medication request substitution.
Show Source
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForMedicationRequest
The FHIR extension.
Nested Schema : DosageForMedicationRequest
Type:
objectThe FHIR dosage.
Show Source
-
additionalInstruction: array
additionalInstruction
-
asNeededBoolean: boolean
-
asNeededCodeableConcept: object
CodeableConcept
-
doseAndRate: array
doseAndRate
-
extension: array
extension
-
patientInstruction: string
-
route: object
CodeableConcept
-
site: object
CodeableConcept
-
text: string
-
timing: object
TimingForMedicationRequest
The FHIR timing.
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForMedicationRequest
The FHIR extension.
Nested Schema : TimingForMedicationRequest
Type:
objectThe FHIR timing.
Show Source
-
code: object
CodeableConcept
-
repeat: object
TimingRepeatForMedicationRequest
The FHIR timing repeat.
Nested Schema : extension
Type:
Show Source
array-
Array of:
object ExtensionForMedicationRequest
The FHIR extension.
Nested Schema : AnnotationForMedicationRequest
Type:
objectThe FHIR annotation.
Show Source
-
authorReference: object
ReferenceForMedicationRequest
The FHIR reference.
-
text: string
-
time: string
(date-time)
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source